Page MenuHomePhabricator

"MediaWiki:Popups-desc" should reflect the new name (Page Previews) and follow style norms (a period)
Closed, ResolvedPublic0.5 Story Points

Description

Currently, all descriptions on "Preferences => Beta features" have a period, except for Hovercards's description.

Acceptance Criteria

  • Change name of hovercards feature to "Page Previews" and include a period

Signoff Criteria

  • Update the documentation reflecting the name change (Olga)

Event Timeline

Guycn2 created this task.Dec 18 2016, 6:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2016, 6:31 PM
ovasileva triaged this task as Normal priority.Dec 19 2016, 10:50 PM

Should we also take this opportunity to change the name in Beta Features from "Hovercards" to "Page previews" ?

Change 338006 had a related patch set uploaded (by Jdlrobson):
i18n: changes to Page previews in beta tab of preferences

https://gerrit.wikimedia.org/r/338006

Jdlrobson set the point value for this task to 0.4.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptFeb 15 2017, 10:02 PM
EddieGP moved this task from Backlog to Done on the good first bug board.Mar 5 2017, 10:26 PM
EddieGP claimed this task.Mar 5 2017, 10:31 PM
EddieGP added a subscriber: EddieGP.

I've just rebased this and am going to get somebody to review it.

Jdlrobson changed the point value for this task from 0.4 to 0.5.Mar 7 2017, 7:39 PM

Nirzar suggests changing from Hovercards (https://phabricator.wikimedia.org/T153599#3031069) but @ovasileva P should have final decision. Ping @Quiddity in case you have any views on this?

Hiyo. No input beyond what I wrote on the mailing list. (and naming things is hard!)

@Jdlrobson - sounds good, let's switch it. I will make a note in the description for myself to update the documentation reflecting the change.

ovasileva updated the task description. (Show Details)Mar 9 2017, 10:24 AM
ovasileva added a subscriber: Ckoerner.

@Ckoerner fyi ^

CKoerner_WMF added a subscriber: CKoerner_WMF.
EddieGP removed EddieGP as the assignee of this task.Mar 13 2017, 4:49 PM

It seems there is more up to this than just adding the period (may someone change the title?).

CKoerner_WMF renamed this task from "MediaWiki:Popups-desc" should have a period to "MediaWiki:Popups-desc" should reflect the new name (Page Previews) and follow style norms (a period).Mar 14 2017, 6:07 PM

https://gerrit.wikimedia.org/r/338006 fixes both the issues so this just needs someone to verify and merge.

EddieGP claimed this task.Mar 14 2017, 6:16 PM

Okay, then I got this wrong. Finding someone to review this can't be that hard, can it? ;)

bmansurov added a subscriber: bmansurov.

The change should be available on the beta cluster in about 10 mins.

This appears to not be merging blocked by

19:01:53   Background:                           # features/previews.feature:3
19:01:53     Given I am logged in                # mediawiki_selenium-1.7.3/lib/mediawiki_selenium/step_definitions/login_steps.rb:1
19:01:53       Invalid CSRF token. (badtoken) (MediawikiApi::ApiError)
19:01:53       features/previews.feature:4:in `Given I am logged in'
19:01:53     And I have enabled the beta feature # features/support/step_definitions/common_steps.rb:3
19:01:53     And I am on the test page           # features/support/step_definitions/common_steps.rb:7
19:01:53

This error is unrelated to change. We may need to open a blocking task to debug this as all merges to Popups may be being blocked now.

Ckoerner removed a subscriber: Ckoerner.Mar 15 2017, 7:22 PM

Change 338006 merged by jenkins-bot:
[mediawiki/extensions/Popups] i18n: changes to Page previews in beta tab of preferences

https://gerrit.wikimedia.org/r/338006

EddieGP closed this task as Resolved.Mar 16 2017, 11:11 AM

Finally the merge worked.

phuedx reopened this task as Open.Mar 16 2017, 11:14 AM
phuedx reassigned this task from EddieGP to ovasileva.
phuedx moved this task from Needs Code Review to Ready for Signoff on the Reading-Web-Sprint-94 board.
phuedx added a subscriber: phuedx.

@EddieGP: Not so fast ;) Thanks for picking up this task. @ovasileva: The change should be deployed to the Beta Cluster by 11:30 AM UTC.

FTR I've deliberately skipped the Needs QA column as @EddieGP's change was strictly limited to changing a message.

@phuedx Is this something Reading-Team-Workflow specific? Usually I'm closing tasks when the patch got merged, so I don't really know why that was wrong. I saw you moved this to "Ready for Signoff", what exactly does signoff mean here?

@phuedx Is this something Reading-Team-Workflow specific? Usually I'm closing tasks when the patch got merged, so I don't really know why that was wrong. I saw you moved this to "Ready for Signoff", what exactly does signoff mean here?

I should've explained that I'd moved the task to Ready for Signoff as the Reading Web team's PO (@ovasileva) should take a look at the change in action.

ovasileva closed this task as Resolved.Mar 16 2017, 4:09 PM

confirmed on the beta cluster